GuideLab Docs

Task time, delays and delivery risk

GET
/production/statistics/time

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

startDate?string
endDate?string
roomId?string
Lengthlength <= 200
memberId?string
Lengthlength <= 200
clinicId?string
Lengthlength <= 200
onlyDelayed?||
Defaultfalse
page?integer
Range1 <= value <= 2000
Default1
limit?integer
Range1 <= value <= 100
Default50

Response Body

application/json

curl -X GET "https://example.com/production/statistics/time"
{  "rows": [    {      "taskId": "string",      "phaseId": "string",      "taskName": "string",      "orderId": "string",      "orderNumber": "string",      "roomName": "string",      "roomId": "string",      "memberName": "string",      "clinicName": "string",      "estimatedMinutes": 0,      "recordedSeconds": 0,      "inferredSeconds": 0,      "originalTargetAt": "string",      "plannedEndAt": "string",      "completedAt": "string",      "warning": "string",      "late": true,      "deliveryRisk": true,      "running": true    }  ],  "total": 0,  "late": 0,  "deliveryRisk": 0,  "running": 0,  "completed": 0,  "recordedSeconds": 0,  "inferredSeconds": 0,  "page": 0,  "limit": 0,  "planningIssue": "string"}
Empty
Empty